Použijte Weblate Menu

Why already care about Weblate 4.0 now?

Sdílet
Václav Zbránek
BlogOznámení
7. října 2019

We want to tell you about a version that won’t be released in days this time. We planned 4.0 for April next year, but we want to share some important details so you can prepare your ecosystem for it and receive the perks of the smooth update after the release.

The first significant change is that starting with 4.0, Weblate will support only PostgreSQL as a database. If you are using any other DB now, migrate ASAP. Why are we saying goodbye to MySQL and others? We want to use all the perks of Postgres that other DB don’t have. It will enable us to make Weblate more effective, kick away, for example, Whoosh and use less of system resources of the server.

The second farewell in this release is the end of Python 2 and Django older than 2.2 support in Weblate as it is slowly dying. Update now and enjoy all the new things in Python 3. Check the official Django doc page and choose the right Python version.

We told you about the big goodbyes today, stay tuned for big hellos that we all will do with 4.0.

Keep excited and translate!

Čeština